For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
      • POSTGet an activity report
      • GETList the predefined metrics used in activity reports
      • GETGet custom report (Explorer)
      • POSTGet a funnel report (stages)
      • POSTGet a funnel report (totals)
      • GETGet sent emails report
      • GETGet lead status change report
      • GETGet opportunity status change report
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Search & ReportingReporting

List the predefined metrics used in activity reports

||View as Markdown|
GET
https://api.close.com/api/v1/report/activity/metrics/
GET
/api/v1/report/activity/metrics/
$curl https://api.close.com/api/v1/report/activity/metrics/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "metrics": [
3 {
4 "description": "The average duration of outbound calls made via the Predictive Dialer.",
5 "key": "calls.outbound.predictive_dialer.avg_duration",
6 "name": "Outbound Calls - Predictive Dialer Average Duration"
7 },
8 {
9 "description": "The number of lost opportunities created for/assigned to a user.",
10 "key": "opportunities.lost.all.count",
11 "name": "Opportunities - Lost"
12 },
13 {
14 "description": "The annualized value of won opportunities created for/assigned to a user.",
15 "key": "opportunities.won.all.sum_annualized_value",
16 "name": "Opportunities - Won - Annualized"
17 },
18 {
19 "description": "The number of all sent emails.",
20 "key": "emails.sent.all.count",
21 "name": "Sent Emails - All Types"
22 },
23 {
24 "description": "The total duration of regular outbound calls made.",
25 "key": "calls.outbound.regular.sum_duration",
26 "name": "Outbound Calls - Regular Total Duration"
27 },
28 {
29 "description": "The number of all outbound calls made.",
30 "key": "calls.outbound.all.count",
31 "name": "Outbound Calls - All Types"
32 },
33 {
34 "description": "The total duration of all outbound calls made.",
35 "key": "calls.outbound.all.sum_duration",
36 "name": "Outbound Calls - Total Duration"
37 },
38 {
39 "description": "The number of external outbound calls.",
40 "key": "calls.outbound.external.count",
41 "name": "Outbound Calls - External"
42 },
43 {
44 "description": "The number of regular outbound calls made.",
45 "key": "calls.outbound.regular.count",
46 "name": "Outbound Calls - Regular"
47 },
48 {
49 "description": "The total duration of inbound calls made.",
50 "key": "calls.inbound.all.sum_duration",
51 "name": "Inbound Calls - Total Duration"
52 },
53 {
54 "description": "The number of all received SMS messages.",
55 "key": "sms.received.all.count",
56 "name": "Received SMS - All Types"
57 },
58 {
59 "description": "The average duration of inbound calls made.",
60 "key": "calls.inbound.all.avg_duration",
61 "name": "Inbound Calls - Average Duration"
62 },
63 {
64 "description": "The number of emails sent by a sequence.",
65 "key": "emails.sent.sequences.count",
66 "name": "Sent Emails - Sequences"
67 },
68 {
69 "description": "The average duration of outbound calls made via the Power Dialer.",
70 "key": "calls.outbound.power_dialer.avg_duration",
71 "name": "Outbound Calls - Power Dialer Average Duration"
72 },
73 {
74 "description": "The average duration of all calls made.",
75 "key": "calls.all.all.avg_duration",
76 "name": "All Calls - Average Duration"
77 },
78 {
79 "description": "The average duration of external outbound calls.",
80 "key": "calls.outbound.external.avg_duration",
81 "name": "Outbound Calls - External Average Duration"
82 },
83 {
84 "description": "The number of leads created.",
85 "key": "leads.created.all.count",
86 "name": "Created Leads"
87 },
88 {
89 "description": "The number of won opportunities created for/assigned to a user.",
90 "key": "opportunities.won.all.count",
91 "name": "Opportunities - Won"
92 },
93 {
94 "description": "The number of outbound calls made via the Power Dialer.",
95 "key": "calls.outbound.power_dialer.count",
96 "name": "Outbound Calls - Power Dialer"
97 },
98 {
99 "description": "The number of annual won opportunities created for/assigned to a user.",
100 "key": "opportunities.value_won.annual.count",
101 "name": "Opportunities - Won - Annual"
102 },
103 {
104 "description": "The number of all sent SMS messages.",
105 "key": "sms.sent.all.count",
106 "name": "Sent SMS - All Types"
107 },
108 {
109 "description": "The number of one-time lost opportunities created for/assigned to a user.",
110 "key": "opportunities.value_lost.one_time.count",
111 "name": "Opportunities - Lost - One Time"
112 },
113 {
114 "description": "The total value of monthly won opportunities created for/assigned to a user.",
115 "key": "opportunities.value_won.monthly.sum_value",
116 "name": "Opportunities - Value Won - Monthly"
117 },
118 {
119 "description": "The total value of annual lost opportunities created for/assigned to a user.",
120 "key": "opportunities.value_lost.annual.sum_value",
121 "name": "Opportunities - Value Lost - Annual"
122 },
123 {
124 "description": "The number of all incoming emails.",
125 "key": "emails.received.all.count",
126 "name": "Received Emails - All Types"
127 },
128 {
129 "description": "The leads that have been contacted via a call, email or SMS.",
130 "key": "leads.contacted.all.count",
131 "name": "Contacted Leads"
132 },
133 {
134 "description": "The number of emails sent by a sequence that have a reply.",
135 "key": "emails.sent.sequences_with_reply.count",
136 "name": "Sent Emails - Sequences with Reply"
137 },
138 {
139 "description": "The number of inbound calls made.",
140 "key": "calls.inbound.all.count",
141 "name": "Inbound Calls - All Types"
142 },
143 {
144 "description": "The number of outgoing emails of all types that have been opened by the recipient.",
145 "key": "emails.opened.all.count",
146 "name": "Opened Emails - All Types"
147 },
148 {
149 "description": "The number of opportunities created by a user.",
150 "key": "opportunities.created.all.count",
151 "name": "Opportunities - Created"
152 },
153 {
154 "description": "The average duration of regular outbound calls made.",
155 "key": "calls.outbound.regular.avg_duration",
156 "name": "Outbound Calls - Regular Average Duration"
157 },
158 {
159 "description": "The number of emails sent by a sequence that do not have a reply.",
160 "key": "emails.sent.sequences_without_reply.count",
161 "name": "Sent Emails - Sequences without Reply"
162 },
163 {
164 "description": "The number of outbound calls made via the Predictive Dialer.",
165 "key": "calls.outbound.predictive_dialer.count",
166 "name": "Outbound Calls - Predictive Dialer"
167 },
168 {
169 "description": "The annualized value of lost opportunities created for/assigned to a user.",
170 "key": "opportunities.lost.all.sum_annualized_value",
171 "name": "Opportunities - Lost - Annualized"
172 },
173 {
174 "description": "The number of monthly won opportunities created for/assigned to a user.",
175 "key": "opportunities.value_won.monthly.count",
176 "name": "Opportunities - Won - Monthly"
177 },
178 {
179 "description": "The number of annual lost opportunities created for/assigned to a user.",
180 "key": "opportunities.value_lost.annual.count",
181 "name": "Opportunities - Lost - Annual"
182 },
183 {
184 "description": "The number of opportunities created for/assigned to a user.",
185 "key": "opportunities.created_for.all.count",
186 "name": "Opportunities - Created For"
187 },
188 {
189 "description": "The total duration of outbound calls made via the Predictive Dialer.",
190 "key": "calls.outbound.predictive_dialer.sum_duration",
191 "name": "Outbound Calls - Predictive Dialer Total Duration"
192 },
193 {
194 "description": "The total duration of all calls made.",
195 "key": "calls.all.all.sum_duration",
196 "name": "All Calls - Total Duration"
197 },
198 {
199 "description": "The number of all calls made.",
200 "key": "calls.all.all.count",
201 "name": "All Calls - All Types"
202 },
203 {
204 "description": "The number of monthly lost opportunities created for/assigned to a user.",
205 "key": "opportunities.value_lost.monthly.count",
206 "name": "Opportunities - Lost - Monthly"
207 },
208 {
209 "description": "The total duration of outbound calls made via the Power Dialer.",
210 "key": "calls.outbound.power_dialer.sum_duration",
211 "name": "Outbound Calls - Power Dialer Total Duration"
212 },
213 {
214 "description": "The total value of one-time lost opportunities created for/assigned to a user.",
215 "key": "opportunities.value_lost.one_time.sum_value",
216 "name": "Opportunities - Value Lost - One Time"
217 },
218 {
219 "description": "The average duration of all outbound calls made.",
220 "key": "calls.outbound.all.avg_duration",
221 "name": "Outbound Calls - Average Duration"
222 },
223 {
224 "description": "The total value of monthly lost opportunities created for/assigned to a user.",
225 "key": "opportunities.value_lost.monthly.sum_value",
226 "name": "Opportunities - Value Lost - Monthly"
227 },
228 {
229 "description": "The total duration of external outbound calls.",
230 "key": "calls.outbound.external.sum_duration",
231 "name": "Outbound Calls - External Total Duration"
232 },
233 {
234 "description": "The number of one-time won opportunities created for/assigned to a user.",
235 "key": "opportunities.value_won.one_time.count",
236 "name": "Opportunities - Won - One Time"
237 },
238 {
239 "description": "The total value of annual won opportunities created for/assigned to a user.",
240 "key": "opportunities.value_won.annual.sum_value",
241 "name": "Opportunities - Value Won - Annual"
242 },
243 {
244 "description": "The total value of one-time won opportunities created for/assigned to a user.",
245 "key": "opportunities.value_won.one_time.sum_value",
246 "name": "Opportunities - Value Won - One Time"
247 },
248 {
249 "description": "The number of outgoing emails sent by a sequence that have been opened by the recipient.",
250 "key": "emails.opened.sequences.count",
251 "name": "Opened Emails - Sequences"
252 }
253 ]
254}
List available metrics that can be used in activity reports.
Was this page helpful?
Previous

Get an activity report

Next

Get custom report (Explorer)

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error